#include <QtGui/QFileDialog>

#include "QMyWindow.h"

QMyWindow::QMyWindow(QWidget *parent)
: QMainWindow(parent) 
{
	m_ui.setupUi(this);
	m_ui.texture->setCurrentIndex(0);

	connect(m_ui.actionExit, SIGNAL(triggered()), this, SLOT(quitApp()));

	connect(m_ui.texture, SIGNAL(activated(int)), m_ui.widget, SLOT(setTexMode(int)));

	connect(m_ui.actionOpen_Model, SIGNAL(triggered()), SLOT(openModel()));
	connect(this, SIGNAL(signalLoadModel(QString)), m_ui.widget, SLOT(loadModel(const QString&)));

	connect(m_ui.actionOpen_Texture, SIGNAL(triggered()), SLOT(openTexture()));
	connect(this, SIGNAL(signalLoadTexture(QString)), m_ui.widget, SLOT(loadTexture(const QString&)));
}  


void QMyWindow::quitApp() 
{ 
	emit signalQuitApp(); 
}

void QMyWindow::openModel() 
{ 
	QString s = QFileDialog::getOpenFileName(
                    this,
                    "Load Model",
                    "./data/",
                    "Images (*.obj)");
	if(!s.isNull())
	{
		emit signalLoadModel(s);
	}
}

void QMyWindow::openTexture() 
{ 
	QString s = QFileDialog::getOpenFileName(
                    this,
                    "Load Texture",
                    "./data/textures/",
                    "Images (*.png *.jpg)");
	if(!s.isNull())
	{
		emit signalLoadTexture(s);
	}
}
